package math.geometry;

/**
 * Work with parallelogram.
 * As a specialization of {@link Tetragon Quadrangle class}
 * 
 * @author Daniel Weschke
 *
 */
public class Parallelogram extends Tetragon {
	
	/**
	 * Create empty parallelogram.
	 */
	public Parallelogram(){
		super();
	}
	
	/**
	 * Create parallelogram with three points.
	 * @param a point 1 (x,y)
	 * @param b point 2 (x,y)
	 * @param c point 3 (x,y)
	 */
	public Parallelogram(Point2D a, Point2D b, Point2D c){
		super(a, b, c, (Point2D) c.displace(b.displace(a)));
	}
}
